# Palavras reservadas do SQL

Esta seção lista todas as palavras reservadas do Derby, incluindo as do padrão SQL-92. O Derby retorna erro quando se utiliza uma destas palavras chave como nome de identificador, a menos que o nome do identificador seja envolto por aspas ("). Consulte Regras para identificadores SQL92.

- ADD
- ALL
- ALLOCATE
- ALTER
- AND
- ANY
- ARE
- AS
- ASC
- ASSERTION
- AT
- AUTHORIZATION
- AVG
- BEGIN
- BETWEEN
- BIT
- BOOLEAN
- BOTH
- BY
- CALL
- CASCADE
- CASCADED
- CASE
- CAST
- CHAR
- CHARACTER
- CHECK
- CLOSE
- COLLATE
- COLLATION
- COLUMN
- COMMIT
- CONNECT
- CONNECTION
- CONSTRAINT
- CONSTRAINTS
- CONTINUE
- CONVERT
- CORRESPONDING
- COUNT
- CREATE
- CURRENT
- CURRENT_DATE
- CURRENT_TIME
- CURRENT_TIMESTAMP
- CURRENT_USER
- CURSOR
- DEALLOCATE
- DEC
- DECIMAL
- DECLARE
- DEFERRABLE
- DEFERRED
- DELETE
- DESC
- DESCRIBE
- DIAGNOSTICS
- DISCONNECT
- DISTINCT
- DOUBLE
- DROP
- ELSE
- END
- ENDEXEC
- ESCAPE
- EXCEPT
- EXCEPTION
- EXEC
- EXECUTE
- EXISTS
- EXPLAIN
- EXTERNAL
- FALSE
- FETCH
- FIRST
- FLOAT
- FOR
- FOREIGN
- FOUND
- FROM
- FULL
- FUNCTION
- GET
- GET_CURRENT_CONNECTION
- GLOBAL
- GO
- GOTO
- GRANT
- GROUP
- HAVING
- HOUR
- IDENTITY
- IMMEDIATE
- IN
- INDICATOR
- INITIALLY
- INNER
- INOUT
- INPUT
- INSENSITIVE
- INSERT
- INT
- INTEGER
- INTERSECT
- INTO
- IS
- ISOLATION
- JOIN
- KEY
- LAST
- LEFT
- LIKE
- LONGINT
- LOWER
- LTRIM
- MATCH
- MAX
- MIN
- MINUTE
- NAÇÃOAL
- NATURAL
- NCHAR
- NVARCHAR
- NEXT
- NO
- NOT
- NULL
- NULLIF
- NUMERIC
- OF
- ON
- ONLY
- OPEN
- OPTION
- OR
- ORDER
- OUT
- OUTER
- OUTPUT
- OVERLAPS
- PAD
- PARTIAL
- PREPARE
- PRESERVE
- PRIMARY
- PRIOR
- PRIVILEGES
- PROCEDURE
- PUBLIC
- READ
- REAL
- REFERENCES
- RELATIVE
- RESTRICT
- REVOKE
- RIGHT
- ROLLBACK
- ROWS
- RTRIM
- SCHEMA
- SCROLL
- SECOND
- SELECT
- SESSION_USER
- SET
- SMALLINT
- SOME
- SPACE
- SQL
- SQLCODE
- SQLERROR
- SQLSTATE
- SUBSTR
- SUBSTRING
- SUM
- SYSTEM_USER
- TABLE
- TEMPORARY
- TIMEZONE_HOUR
- TIMEZONE_MINUTE
- TO
- TRAILING
- TRANSACTION
- TRANSLATE
- TRANSLATION
- TRUE
- UNION
- UNIQUE
- UNKNOWN
- UPDATE
- UPPER
- USER
- USING
- VALUES
- VARCHAR
- VARYING
- VIEW
- WHENEVER
- WHERE
- WITH
- WORK
- WRITE
- XML
- XMLEXISTS
- XMLPARSE
- XMLSERIALIZE
- YEAR